﻿@model IList<ViewModels.Site.BlogShowListViewModel>

@{
    ViewBag.Title = "UnitOfWork Design Pattern";
}

<h1>This is sample project with UnitOfWork Design Pattern</h1>
<h4><a href="http://www.dotnettips.info/post/842/ef-code-first-12">Get more info</a></h4>

<br />
<br />
<br />

<table>
    <tr>
        <th>@Html.DisplayNameFor(model => model.FirstOrDefault().Id)</th>
        <th>@Html.DisplayNameFor(model => model.FirstOrDefault().Name)</th>
        <th>@Html.DisplayNameFor(model => model.FirstOrDefault().CreatedOn)</th>
    </tr>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Id)</td>
            <td>@Html.DisplayFor(modelItem => item.Name)</td>
            <td>@Html.DisplayFor(modelItem => item.CreatedOn)</td>
        </tr>
    }
</table>

<div class="pager">
    @Html.ActionLink("page 1", "Index", new { page = 1 }, new { @class = "btn btn-info" })
    @Html.ActionLink("page 2", "Index", new { page = 2 }, new { @class = "btn btn-info" })
</div>

